> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siliconflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取batch任务详情

> Retrieves a batch.



## OpenAPI

````yaml get /batches/{batch_id}
openapi: 3.0.0
info:
  title: SiliconFlow API
  description: The SiliconFlow REST API
  version: 1.0.0
  contact:
    name: SiliconFlow Support
    url: https://www.siliconflow.com/
  license:
    name: MIT
    url: https://github.com/siliconflow-inc/siliconflow-api/blob/main/LICENSE
servers:
  - url: https://api.siliconflow.com/v1
security:
  - bearerAuth: []
paths:
  /batches/{batch_id}:
    get:
      summary: Retrieves a batch.
      description: Retrieves a batch.
      operationId: getBatchEvaluationJob
      parameters:
        - name: batch_id
          in: path
          description: The ID of the batch to retrieve.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The Batch object matching the specified ID.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: batch_rdyqgrcgjg
                  object:
                    type: string
                    example: batch
                  endpoint:
                    type: string
                    example: /v1/chat/completions
                  errors:
                    type: array
                    items:
                      type: string
                    example: []
                  input_file_id:
                    type: string
                    example: file-jkvytbjtow
                  completion_window:
                    type: string
                    example: 24h
                  status:
                    type: string
                    example: in_queue
                  output_file_id:
                    type: string
                    example: null
                  error_file_id:
                    type: string
                    example: null
                  created_at:
                    type: integer
                    example: 1741685413
                  in_progress_at:
                    type: integer
                    example: null
                  expires_at:
                    type: integer
                    example: 1741771813
                  finalizing_at:
                    type: integer
                    example: null
                  completed_at:
                    type: integer
                    example: null
                  failed_at:
                    type: integer
                    example: null
                  expired_at:
                    type: integer
                    example: null
                  cancelling_at:
                    type: integer
                    example: null
                  cancelled_at:
                    type: integer
                    example: null
                  request_counts:
                    type: object
                    example: {}
                  metadata:
                    type: object
                    properties:
                      description:
                        type: string
                        example: nightly eval job
        '400':
          description: BadRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '503':
          description: Overloaded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
        '504':
          description: Timeout
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringData'
      deprecated: false
components:
  schemas:
    StringData:
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: your api key
      description: >-
        Use the following format for authentication: Bearer [<your api
        key>](https://cloud.siliconflow.com/account/ak)

````